﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Countdown_Calculator
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        public int SecondsCal(string secondsEnter)
        {
            int secondsInput;
            try
            {
                secondsInput = int.Parse(secondsEnter);
            }
            catch
            {
                MessageBox.Show("Invalid.");
            }
            
        }

        public int HoursCal(string hoursEnter)
        {
            int hoursInput = int.Parse(hoursEnter);
            int hoursTotal = hoursInput * 3600;
            return hoursTotal;
        }

        public int MinutesCal(string minutesEnter)
        {
            int minutesInput = int.Parse(minutesEnter);
            int minutesTotal = minutesInput * 60;
            return minutesTotal;
        }

        private void CalcuButton_Click(object sender, RoutedEventArgs e)
        {
            resultLabel.Content = "Calculate Clicked";
            int secondsSum = SecondsCal(secsTextBox.Text);
            int hoursSum = HoursCal(hoursTextBox.Text);
            int minutesSum = MinutesCal(minsTextBox.Text);

            int totalSecs = secondsSum + hoursSum + minutesSum;
            resultLabel.Content = "Result: " + totalSecs + " seconds.";
        }
    }
}
